﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsAppDecisions
{
    public partial class FormLoops : Form
    {
        public FormLoops()
        {
            InitializeComponent();
        }

        private void buttonTest_Click(object sender, EventArgs e)
        {

            try
            {
                int num;

                num = int.Parse(textBoxNumber.Text);

                if (num == 60)
                {
                    MessageBox.Show("the number is 60");
                }
            }

            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
                textBoxNumber.Clear();
                textBoxNumber.Focus();
            }

            
        }

        private void buttonIfElse_Click(object sender, EventArgs e)
        {
            int num;

            num = int.Parse(textBoxNumber.Text);

            if (num > 60)
            {
                MessageBox.Show("the number is greater than 60");
            }
            else
            {
                MessageBox.Show("the number is less than than or equal to 60");
            }
        }

        private void buttonNested_Click(object sender, EventArgs e)
        {
            try
            {
                int num;

                num = int.Parse(textBoxNumber.Text);

                if (num == 60)
                {
                    MessageBox.Show("the number is 60");
                }
                else
                {
                    if (num < 60)
                    {
                        MessageBox.Show("the number is less than than 60");
                    }
                    else
                    {
                        MessageBox.Show("the number is greater than or equal to 60");
                    }
                }
            }

            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

        }

        private void buttonElseIf_Click(object sender, EventArgs e)
        {
            try
            {
                int num;

                num = int.Parse(textBoxNumber.Text);

                if (num == 100)
                {
                    MessageBox.Show("perfect job");
                }
                else if (num >= 90)
                {
                   MessageBox.Show("you get an A");
                }
                else if (num >= 80)
                {
                    MessageBox.Show("you get an B");
                }
                else
                {
                    MessageBox.Show("Not passing");
                }
                
            }

            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

        }

        private void buttonTryParse_Click(object sender, EventArgs e)
        {
            try
            {
                int num;

                if (int.TryParse(textBoxNumber.Text, out num))
                {
                    if (num == 100)
                    {
                        MessageBox.Show("perfect job");
                    }
                    else if (num >= 90)
                    {
                        MessageBox.Show("you get an A");
                    }
                    else if (num >= 80)
                    {
                        MessageBox.Show("you get an B");
                    }
                    else
                    {
                        MessageBox.Show("Not passing");
                    }

                }
                else
                {
                    textBoxNumber.Clear();
                    textBoxNumber.BackColor = Color.Aqua;
                    textBoxNumber.Focus();
                    MessageBox.Show("Enter a valid int");
                }
                

            }

            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void buttonTP2_Click(object sender, EventArgs e)
        {
            int num;

            if(int.TryParse(textBoxNumber.Text,out num))
            {
                MessageBox.Show("Data OK");
            }
            else
            {
                MessageBox.Show("Data BAD");
            }
        }

        private void buttonCheckValue_Click(object sender, EventArgs e)
        {
            try
            {
                int num;
                bool flag = false;
                if (int.TryParse(textBoxNumber.Text, out num))
                {
                    if (num >=1 && num <=100)
                    {
                        MessageBox.Show("IN-range");
                        flag = true;
                    }
                    else
                    { MessageBox.Show("out of range"); }
                }
                else
                {
                    MessageBox.Show("Data BAD");
                }
                if (flag)
                {
                    MessageBox.Show("IN-range");
                }
                else
                {
                    MessageBox.Show("try again - out of rnge");
                }

            }
            catch (Exception ex) 
            
            { MessageBox.Show(ex.Message); }
        }

        private void radioButtonGood_CheckedChanged(object sender, EventArgs e)
        {
            this.BackColor = Color.Aqua;
            MessageBox.Show("all godd - prgramming is great!");
        }

        private void LB_Lab_SelectedIndexChanged(object sender, EventArgs e)
        {
            string selectedLab;
            selectedLab = LB_Lab.SelectedIndex.ToString();
            switch (selectedLab)
            {
                case "0":
                    {
                        MessageBox.Show("I love lab 1");
                        break;
                    }
                case "1":
                    {
                        MessageBox.Show("I love lab 2");
                        break;
                    }
                case "2":
                    {
                        MessageBox.Show("I love lab 3");
                        break;

                    }
                default:
                    break;
            }
        }

        private void radioButtonGettingThere_CheckedChanged(object sender, EventArgs e)
        {

            this.BackColor = Color.Yellow;
        }

        private void radioButtonMoreTime_CheckedChanged(object sender, EventArgs e)
        {

            this.BackColor = Color.HotPink;
        }

        private int SumThis(int num1, int num2)
        {
            MessageBox.Show("I'm in the meathod)");
            return num1 +num2;

        }

        private void buttonMethods_Click(object sender, EventArgs e)
        {
            int x, y, z;

                x = 10;
                y = 20;
  

            MessageBox.Show(x.ToString());
            z = SumThis(x, y);
            MessageBox.Show(z.ToString());

        }

        private void button1_Click(object sender, EventArgs e)
        {

        }

        private void listView1_SelectedIndexChanged(object sender, EventArgs e)
        {

        }
    }
}
